# Module directive/input/input

- Defined in directive/input/input.js:1

### Index

### Variables

EMAIL_REGEXP
ISO_DATE_REGEXP
URL_REGEXP
VALIDITY_STATE_PROPERTY

### Functions

badInputChecker
countDecimals
createDateInputType
createDateParser
hiddenInputBrowserCacheDirective
inputDirective
isNumberInteger
isValidForStep
ngValueDirective
numberFormatterParser
numberInputType
rangeInputType
weekParser